Skip to main content
`Ctrl`+`K`

# PetscDTTanhSinhTensorQuadrature

create tanh-sinh quadrature for a tensor product cell

## Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscDTTanhSinhTensorQuadrature(PetscInt dim, PetscInt level, PetscReal a, PetscReal b, PetscQuadrature *q)

Not Collective

## Input Parameters

- dim - The cell dimension

- level - The number of points in one dimension, \(2^l\)

- a - left end of interval (often-1)

- b - right end of interval (often +1)

## Output Parameter

- q - A `PetscQuadrature` object

## See Also

`PetscDTGaussTensorQuadrature()`, `PetscQuadrature`

## Level

intermediate

## Location

src/dm/dt/interface/dt.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages